# -*- coding: utf-8 -*-
"""TODO2.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/1oRcorRqi5NT4KiAr3f7PUtp05-bRRPA1
"""

import pandas as pd
df = pd.read_excel("yelp.xlsx")

df.head()

df.tail()

df.shape

df.columns

df.dtypes

df.count()

#Checking null values
checkNullValues = df.isnull()
checkNullValues

#checking total null values
checkingTotalNullValues = df.isnull().sum()
checkingTotalNullValues

#Deleting values
#dropna() drops any row containing missing values.
newData = df.dropna()
newData.isnull().sum()

#Checking rows and columns after removing null values
newdf.shape

#Checking Total null values in the columns
newCheckNull = df.isnull().sum()
newCheckNull

#selecting the column having null values
isNull = df.loc[:,'review_count']
isNull

#Replacing with mode in review_count column
modeValue = df['review_count'].mode()[0]
df['review_count'].fillna(modeValue, inplace = True)
df

#Checking weather the review_count is replaced with mode or not
df.isnull().sum()

#Predicting Values in stars column
predict = df
predict.interpolate()
predict

predict.isnull().sum()